package com.sifang.modules.kingdee.vo;

import com.kingdee.bos.webapi.entity.RepoError;
import com.kingdee.bos.webapi.entity.SuccessEntity;

import java.util.ArrayList;

public class RepoStatusVo {

    String ErrorCode;
    boolean IsSuccess;
    Integer MsgCode;
    ArrayList<RepoError> Errors;
    ArrayList<SuccessEntity> SuccessEntitys;
    ArrayList<SuccessMessagesVo> SuccessMessages;

    public RepoStatusVo() {
    }

    public Integer getMsgCode() {
        return MsgCode;
    }

    public void setMsgCode(Integer msgCode) {
        MsgCode = msgCode;
    }

    public String getErrorCode() {
        return ErrorCode;
    }

    public void setErrorCode(String errorCode) {
        ErrorCode = errorCode;
    }

    public boolean isSuccess() {
        return IsSuccess;
    }

    public void setSuccess(boolean success) {
        IsSuccess = success;
    }

    public ArrayList<RepoError> getErrors() {
        return Errors;
    }

    public void setErrors(ArrayList<RepoError> errors) {
        Errors = errors;
    }

    public ArrayList<SuccessEntity> getSuccessEntitys() {
        return SuccessEntitys;
    }

    public void setSuccessEntitys(ArrayList<SuccessEntity> successEntitys) {
        SuccessEntitys = successEntitys;
    }

    public ArrayList<SuccessMessagesVo> getSuccessMessages() {
        return SuccessMessages;
    }

    public void setSuccessMessages(ArrayList<SuccessMessagesVo> successMessages) {
        SuccessMessages = successMessages;
    }
}
